Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Kasutamine käsurealt ja näited

Kst kõige tüüpilisem kasutamisviis käsurealt on andmefailide X-Y jooniste või Z-piltide valmistamine. Kst suudab lugeda ASCII andmeid, readdata/dirfile'iga ühilduvaid binaarfaile ning ka (väliste teekide abiga) FITS-pilte, PIOLib-faile, netCDF-faile ja HEALPix FITS-faile.

&kst; käsurea kokkuvõte

## kst

Andmete joonistamine ja näitamise programm

Võtmed on järgmised:

    kst Qt võtmed KDE võtmed võtmed fail

### Võtmed

`[fail...]`

  .kst-fail või üks või enam andmefaili. Toetatud on ASCII veergude, BOOMERANG kaadrifailide, BLAST dirfile failivormingud ja muud lisateekidega toetatud failitüübid. .kst-failid salvestavad kõik võtmed, mida saab määrata muude lippudega. .kst-failis määratud võtmete tühistamiseks saab kasutada järgmisi lippe: `-F datafile`, `-n NS`, `-s NS`, `-f F0`, `-a`. Teisi tühistada ei saa, Kui antakse tühistav lipp, rakendatakse seda joonise kõigile vektoritele.

  Standardsisendist võetavaid ASCII andmeid saab joonistada, kui anda "stdin" loendis `[fail...]`.

`-y Y`

  Y-telje andmete allikas. ASCII-failide korral on see veerg, binaarfailide puhul välja nimi. Mitme kõvera joonistamiseks saab seda anda mitu korda. Eeldatakse, et lähtefail, valimi vahemikud ja X-telje andmed ei muutu.

`-e E`

  Y-telje andmete veatulbad. ASCII-failide korral viitab see andmeid sisaldavale veerule, binaarfailide puhul välja nimele. Kui anda mitu võtit `-y Y`, saab seda ka mitu korda kasutada. Konkreetsed Y-kirjed seostatakse antud järjekorras E-kirjetega.

`-x X`

  X-telje andmete allikas. ASCII-failide korral on see veerg, binaarfailide puhul välja nimi. Kui seda võtit ei anta, kasutatakse failis leiduvat rea numbrit. Seda võtit saab anda ainult üks kord.

`-z Z`

  Z-maatriksiandmete allikas (esitatakse pildina). ASCII-failide korral on see z-andmeid sisaldav veerg. Teiste lisavormingute korral (HEALPix, FITS-pilt jne.) on see vajaliku maatriksivälja nimi, nagu seda näitab maatriksidialoog. Mõned maatrikseid kasutavad andmeallikad lubavad tarvitada ka aliast, mis on soovitud maatriksivälja number. Mitme maatriksi joonistamiseks tuleb seda anda mitu korda.

`-p P`

  Jõuspektri allikas. ASCII-failide korral on see veerg, binaarfailide puhul välja nimi. Mitme kõvera jõuspektri joonistamiseks võib seda anda mitu korda. Kõigi käsurealt algatatud jõuspektrite korral kasutatakse sama lähtefaili, valimi vahemikke ja FFT pikkusi.

`-l P`

  Jõuspektris kasutatava FFT pikkus, ligikaudu 2^P.

`-h H`

  Histogrammi allikas. ASCII-failide korral on see veerg, binaarfailide puhul välja nimi. Käsurealt võib algatada ka mitu histogrammi korraga.

`-m NC`

  Kasutatakse mitme kõvera määramisel. Kõigi kõverate ühel joonisel esitamise asemel joonistatakse iga joonis eraldi.

`-f F0`

  Esimese loetava kaadri (binaarfailid) või rea (ASCII-failid) number.

`-n`

  Loetavate kaadrite (binaarfailid) või ridade (ASCII failid) arv.

`-s NS`

  Igal lugemisel vahele jäetavate kaadrite või ridade arv. See on mõttekas väga suurte andmefailide korral kiiruse suurendamiseks või mälu säästmiseks eriti juhul, kui andmete erinevused on pisikesed.

`-a`

  Kasutatakse koos võtmega `-s NS`: kaadrite vahelejätmise asemel võetakse nende keskmine. See pakub hästi elementaarset andmete filtreerimist ning hoiab kokku mälu.

`-F Datafile`

  Tühistab .kst-failis antud faili, millest loetakse kõigi vektorite andmed. Saab kasutada ainult koos .kst-failiga.

`--print psfile`

  Joonise näitamise asemel eksporditakse see PostScript-faili ja väljutakse. Märkus: isegi kui ekraanil ei ole ühtki akent avatud, on siiski vajalik X-serveri töötamine.

`--png pngfile`

  Joonise näitamise asemel eksporditakse see PNG-faili mõõtmetes 640x480 ja väljutakse. Märkus: isegi kui ekraanil ei ole ühtki akent avatud, on siiski vajalik X-serveri töötamine.

### Käsurea näited

Toome siin mõningad tüüpilised kasutamisjuhud.

ASCII andmetega faili tmp.dat 1. veeru joonistamine:

    kst -y 1
    tmp.dat

ASCII-faili 2., 3. ja 4. veeru joonistamine 1. veeru baasil ühel joonisel:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

ASCII-faili 2., 3. ja 4. veeru joonistamine 1. veeru baasil kolme joonisena ühes veerus:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

ASCII-faili 2. veeru 500 rea joonistamine alates reast 100:

    kst -y 2 -f 100 -n 500 tmp.dat

ASCII-faili 2. veeru esimese 100 000 rea joonistamine, võttes iga saja rea keskmise:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(Täiendava HEALPix andmeallika kasutamisel) HEALPix FITS-faili esimese 3 kaardi joonistamine 2x2 võrgule:

    kst -z 1 -z 2 -z 3 -m 2 healpix_example_sm.fits

(Täiendava HEALPix andmeallika kasutamisel) HEALPix FITS-faili kaardi joonistamine määratud väljanimega:

    kst -z "1 - TEMPERATUUR (Kelvin)" healpix_example_sm.fits